Startable (Mule ESB 2.2.1 API)
Keywords: org.mule.api.lifecycle.Startable interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.lifecycle
Interface Startable

All Known Subinterfaces:
  Agent, Component, Connectable, Connector, JavaComponent, Lifecycle, LifecycleAdapter, LifecyleEnabledObjectPool, MessageDispatcher, MessageReceiver, MessageRequester, Model, MuleContext, QueueManager, Service, ServiceServiceMBean, WorkManager

All Known Implementing Classes:
  AbstractAgent, AbstractComponent, AbstractConnectable, AbstractConnector, AbstractJavaComponent, AbstractJndiConnector, AbstractMailConnector, AbstractMessageDispatcher, AbstractMessageReceiver, AbstractMessageRequester, AbstractModel, AbstractNotificationLoggerAgent, AbstractPollingMessageReceiver, AbstractRetrieveMailConnector, AbstractService, AbstractTlsRetrieveMailConnector, AbstractWebServiceWrapperComponent, ActiveMQJmsConnector, ActiveMQXAJmsConnector, AxisConnector, AxisMessageDispatcher, AxisMessageReceiver, AxisMessageRequester, AxisWsdlConnector, AxisWsdlMessageDispatcher, ConfigScannerAgent, CxfConnector, CxfMessageDispatcher, CxfMessageReceiver, CxfMessageRequester, CxfServiceComponent, CxfWsdlConnector, CxfWsdlMessageDispatcher, DefaultJavaComponent, DefaultJmxSupportAgent, DefaultLifecycleAdapter, DefaultLifecycleEnabledObjectPool, DefaultMuleContext, DelegateWorkManager, DirectModel, DirectService, EjbConnector, EjbMessageDispatcher, EjbMessageReceiver, EndpointNotificationLoggerAgent, FileConnector, FileMessageDispatcher, FileMessageReceiver, FileMessageRequester, FtpConnector, FtpMessageDispatcher, FtpMessageReceiver, FtpMessageRequester, GmailSmtpConnector, HttpClientMessageDispatcher, HttpClientMessageRequester, HttpConnector, HttpMessageReceiver, HttpPollingConnector, HttpsConnector, HttpsMessageReceiver, HttpsPollingConnector, ImapConnector, ImapsConnector, InheritedModel, JcaComponent, JcaModel, JcaService, JdbcConnector, JdbcMessageDispatcher, JdbcMessageReceiver, JdbcMessageRequester, JdmkAgent, JettyHttpConnector, JettyHttpMessageReceiver, JettyHttpsConnector, JmsConnector, JmsMessageDispatcher, JmsMessageReceiver, JmsMessageRequester, JmxAgent, JmxServerNotificationAgent, JnpConnector, Log4jAgent, Log4jNotificationLoggerAgent, MuleWorkManager, MulticastConnector, MulticastMessageReceiver, MultiConsumerJmsMessageReceiver, Mx4jAgent, NullLifecycleAdapter, PassThroughComponent, PipelineModel, PipelineService, PollingHttpMessageReceiver, PooledJavaComponent, Pop3Connector, Pop3sConnector, ProcessComponent, ProcessConnector, ProcessMessageDispatcher, ProcessMessageReceiver, PromptStdioConnector, QuartzConnector, QuartzMessageDispatcher, QuartzMessageReceiver, RemoteDispatcherAgent, RestServiceWrapper, RetrieveMessageReceiver, RetrieveMessageRequester, RmiCallbackMessageReceiver, RmiConnector, RmiMessageDispatcher, RmiMessageReceiver, RmiRegistryAgent, ScriptComponent, SedaModel, SedaService, ServiceService, ServletConnector, ServletMessageReceiver, SimpleCallableJavaComponent, SingleJmsMessageReceiver, SmtpConnector, SmtpMessageDispatcher, SmtpsConnector, SslConnector, SslMessageReceiver, StdioConnector, StdioMessageDispatcher, StdioMessageReceiver, TcpConnector, TcpMessageDispatcher, TcpMessageReceiver, TcpMessageRequester, TlsConnector, TransactedPollingMessageReceiver, TransactedSingleResourceJmsMessageReceiver, TransactionalQueueManager, UdpConnector, UdpMessageDispatcher, UdpMessageReceiver, UdpMessageRequester, UnsupportedMessageDispatcher, UnsupportedMessageRequester, VMConnector, VMMessageDispatcher, VMMessageReceiver, VMMessageRequester, WeblogicJmsConnector, WebServiceWrapperComponent, WebServiceWrapperComponent, WebsphereJmsConnector, WebsphereTransactedJmsMessageReceiver, WrapperManagerAgent, XaTransactedJmsMessageReceiver, XmppConnector, XmppMessageDispatcher, XmppMessageReceiver, XmppMessageRequester, XmppsConnector, YourKitProfilerAgent

    public interface Startable

`Startable` provides an object with a `start()` method which gets called when the Mule instance gets started. This is mostly used by infrastructure components, but can also be implemented by service objects. This lifecycle interface should always be implemented with its opposite lifecycle interface `Stoppable`.

See Also:
  `Stoppable`

Field Summary
`static String` | `PHASE_NAME`

Method Summary
`void` | `start()`

Field Detail

### PHASE_NAME

    static final String PHASE_NAME

See Also:
  Constant Field Values

Method Detail

### start

    void start()
               throws MuleException

  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.